ONVIF::PTZ::Types::NetworkInterfaceSetConfigurationExtension(3)

NAME
ONVIF::PTZ::Types::NetworkInterfaceSetConfigurationExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType NetworkInterfaceSetConfigurationExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Dot3

•   Dot11

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::NetworkInterfaceSetConfigurationExtension
   Dot3 =>  { # ONVIF::PTZ::Types::Dot3Configuration
   },
   Dot11 =>  { # ONVIF::PTZ::Types::Dot11Configuration
     SSID => $some_value, # Dot11SSIDType
     Mode => $some_value, # Dot11StationMode
     Alias => $some_value, # Name
     Priority => $some_value, # NetworkInterfaceConfigPriority
     Security =>  { # ONVIF::PTZ::Types::Dot11SecurityConfiguration
       Mode => $some_value, # Dot11SecurityMode
       Algorithm => $some_value, # Dot11Cipher
       PSK =>  { # ONVIF::PTZ::Types::Dot11PSKSet
         Key => $some_value, # Dot11PSK
         Passphrase => $some_value, # Dot11PSKPassphrase
         Extension =>  { # ONVIF::PTZ::Types::Dot11PSKSetExtension
         },
       },
       Dot1X => $some_value, # ReferenceToken
       Extension =>  { # ONVIF::PTZ::Types::Dot11SecurityConfigurationExtension
       },
     },
   },
   Extension =>  { # ONVIF::PTZ::Types::NetworkInterfaceSetConfigurationExtension2
   },
 },

AUTHOR
Generated by SOAP::WSDL